package at.ac.uibk.gitsearch.service.dto;

import org.junit.Assert;
import org.junit.jupiter.api.Test;

import at.ac.uibk.gitsearch.testingUtilities.PropertiesTester;
import nl.jqno.equalsverifier.EqualsVerifier;
import nl.jqno.equalsverifier.Warning;

public class SearchResultDTOTest {

	PropertiesTester propertiesTester = new PropertiesTester();

    @Test
    public void dtoEqualsVerifier() throws Exception {
		propertiesTester.testProperties(SearchResultDTO.class);
		SearchResultDTO testSR = new SearchResultDTO();
		SearchResultDTO testSRclone = new SearchResultDTO(testSR);
		Assert.assertEquals("clone should be equas", testSR, testSRclone);
		EqualsVerifier.forClass(SearchResultDTO.class).suppress(Warning.NONFINAL_FIELDS)
		   .withIgnoredFields("ranking5", "supportedActions", "views", "downloads").verify();
    }
}
